Hybrid search over the knowledge base, with citations (session, or an API key with the query scope)
/v1/teams/{team}/kbs/{kbId}/retrieve429 rate_limited (query limits, with Retry-After) or budget_exhausted (the team's enforced monthly budget is used up; details budget, spent, currency, resetsAt).
Path Parameters
Team slug or ID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/teams/string/kbs/497f6eca-6276-4993-bfeb-53cbbbba6f08/retrieve" \ -H "Content-Type: application/json" \ -d '{ "query": "string" }'{ "data": { "hits": [ { "chunkId": "90e1f3df-a8a1-438e-8dd5-10e45398d051", "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2", "content": "string", "headingPath": [ "string" ], "pageStart": 0, "pageEnd": 0, "title": "string", "filename": "string", "url": "string", "score": 0.1, "vectorRank": 0, "lexicalRank": 0, "judgment": { "relevant": 0.1, "evidence": 0.1, "contradicts": 0.1, "injection": 0.1, "route": "evidence", "reason": "injection", "skipped": true } } ], "latencyMs": 0, "judging": { "mode": "per_passage", "judged": 0, "kept": 0, "dropped": 0, "skipped": 0, "requests": 0, "latencyMs": 0 } }}